﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGrid_GettingStartedDemo
{
    public class OrderInfoCollection
    {
        private ObservableCollection<OrderInfo> _orders;
        public ObservableCollection<OrderInfo> Orders
        {
            get { return _orders; }
            set { _orders = value; }
        }
        public OrderInfoCollection()
        {
            _orders = new ObservableCollection<OrderInfo>();
            this.GenerateOrders();
        }
        private void GenerateOrders()
        {
            _orders.Add(new OrderInfo(1002, "Khaleesi", "Mexico", "QUEEN", "Mexico D.F.", 1));
            _orders.Add(new OrderInfo(1002, "Drogo", "Mexico", "DOTHRAKI", "Mexico D.F.", 1));
            _orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", 1));
            _orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", 1));
            _orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", 1));
            _orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", 1));
            _orders.Add(new OrderInfo(1001, "Antonio Moreno", "Germany", "ANTON", "Berlin", 1));
            _orders.Add(new OrderInfo(1001, "Martin Sommer", "Germany", "BOLID", "Berlin", 1));
        }

        public void AddItem()
        {
            _orders.Add(new OrderInfo(1002, "NewlyAdded", "Mexico", "QUEEN", "Mexico D.F.", 1));
        }

        public void RemoveItem()
        {
            _orders.RemoveAt(_orders.Count - 1);
        }
    }
}
